#include<stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>

int main()
{
    
    int p,i,k;
    
    k=100;
    p = vfork();
    if (p==0)
    {printf("Estoy en el ....  \n");
         for (i=0; i<100; i++)  {
            printf("i es %d - ", i);
        }
        k= k+100;
        sleep(10);
        printf("El proceso ... termina su ejecucion \n");
        _exit(0);
    }
     
    else if (p>0) 
            {
            k=k+100;
            printf ("Estoy en el proceso ... \n");
            printf ("el valor de k es %d \n", k);
            }
        else printf("Error al crear el proceso ... \n");
     printf("el valor de p es %d \n", p);   
}
